diff --git a/src/pl/plpython/plpython.c b/src/pl/plpython/plpython.c
index 9352580..47d898a 100644
*** a/src/pl/plpython/plpython.c
--- b/src/pl/plpython/plpython.c
*************** cleanup:
*** 4484,4495 ****
  static char *
  get_source_line(const char *src, int lineno)
  {
! 	const char *s;
! 	const char *next;
! 	int		current = 0;
  
! 	next = src;
! 	while (current != lineno)
  	{
  		s = next;
  		next = strchr(s + 1, '\n');
--- 4484,4494 ----
  static char *
  get_source_line(const char *src, int lineno)
  {
! 	const char	*s		 = NULL;
! 	const char	*next	 = src;
! 	int			 current = 0;
  
! 	while (current < lineno)
  	{
  		s = next;
  		next = strchr(s + 1, '\n');
*************** get_source_line(const char *src, int lin
*** 4501,4507 ****
  	if (current != lineno)
  		return NULL;
  
! 	while (s && isspace((unsigned char) *s))
  		s++;
  
  	if (next == NULL)
--- 4500,4506 ----
  	if (current != lineno)
  		return NULL;
  
! 	while (*s && isspace((unsigned char) *s))
  		s++;
  
  	if (next == NULL)
